import { FsMaterial, FsResource, GeneratorCore } from '@modern-js/codesmith';
import { renderString } from './utils';
type TargetFunction = (globMatch: string) => string;
type RenderTemplateDirOptions = {
  nodir?: boolean;
  dot?: boolean;
  ignore?: string | readonly string[];
  parameters?: Record<string, string>;
};
export { renderString };
export declare class EjsAPI {
  protected readonly generatorCore: GeneratorCore;
  constructor(generatorCore: GeneratorCore);
  renderTemplate(templateResource: FsResource, target: string, parameters?: Record<string, string>): Promise<void>;
  renderTemplateDir(material: FsMaterial, findGlob: string, target: TargetFunction, options?: RenderTemplateDirOptions): Promise<void>;
}